Subject: Re: [PATCH 4/8] rev-parse: teach "git rev-parse --symbolic" to print the full ref name

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 28 Oct 2007 04:06:55 -0400

Steffen Prohaska <[email-masked]> wrote:
> On Oct 28, 2007, at 8:28 AM, Junio C Hamano wrote:
> >Steffen Prohaska <[email-masked]> writes:
> >>@@ -213,6 +215,7 @@ int cmd_rev_parse(int argc, const char **argv,  
> >>const char *prefix)
> >> {
> >> 	int i, as_is = 0, verify = 0;
> >> 	unsigned char sha1[20];
> >>+	char* real_name = 0;
> >
> >Pointer sign '*' in git sources go next to the name not the
> >type, as:
> >
> >	char *real_name = NULL;
> 
> I know and I tried hard to follow this convention, although
> I think its the wrong choice ;)

Oh, hmm...

  char* a, b;

What's the type of b?  If you said "char*" you're wrong.

Git's style of putting the * next to the name makes it far easier to
spot these sort of typing problems.  At least that's my take on it.

-- 
Shawn.